For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Book a demoLog in
GuidesAPI ReferenceChangelogModel Versioning
GuidesAPI ReferenceChangelogModel Versioning
    • Getting Started
    • Authentication
    • API Versioning
    • SDKs
    • Deployments
  • Processor Endpoints
    • POSTRun Processor
    • GETGet Processor Run
    • GETList Processor Runs
    • POSTCancel Processor Run
    • DELDelete Processor Run
    • GETGet Batch Processor Run
    • GETList Processors
    • POSTCreate Processor
    • POSTUpdate Processor
    • POSTPublish Processor Version
    • GETGet Processor Version
    • GETList Processor Versions
  • Parse Endpoints
    • POSTParse File
    • POSTParse File Async
    • GETGet Parser Run
    • DELDelete Parser Run
  • Workflow Endpoints
    • POSTRun Workflow
    • GETGet Workflow Run
    • GETList Workflow Runs
    • POSTUpdate Workflow Run
    • POSTCancel Workflow Run
    • DELDelete Workflow Run
    • POSTCreate Workflow
    • POSTBatch Run Workflow
    • POSTCorrect Workflow Run Outputs
  • File Endpoints
    • POSTUpload File
    • GETGet File
    • DELDelete File
    • GETList Files
    • POSTCreate File
  • Edit Endpoints
    • POSTEdit File
    • POSTEdit File Async
    • POSTGenerate Edit Schema
    • GETGet Edit Run
    • DELDelete Edit Run
    • GETGet Edit Template
  • Evaluation Set Endpoints
    • GETGet Evaluation Set
    • GETList Evaluation Sets
    • POSTCreate Evaluation Set
    • GETList Evaluation Set Items
    • POSTCreate Evaluation Set Item
    • POSTUpdate Evaluation Set Item
    • DELDelete Evaluation Set Item
    • POSTBulk Create Evaluation Set Items
LogoLogo
Book a demoLog in
Processor Endpoints

Get Batch Processor Run

GET
https://api.extend.ai/batch_processor_runs/:id
GET
/batch_processor_runs/:id
1from extend_ai import Extend
2
3client = Extend(
4 token="YOUR_TOKEN_HERE",
5 extend_api_version="2025-04-21",
6)
7
8client.batch_processor_run.get(
9 id="batch_processor_run_id_here",
10)
1{
2 "success": true,
3 "batchProcessorRun": {
4 "object": "batch_processor_run",
5 "id": "batch_processor_run_Xj8mK2pL9nR4vT7qY5wZ",
6 "processorId": "dp_Xj8mK2pL9nR4vT7qY5wZ",
7 "processorVersionId": "dpv_xK9mLPqRtN3vS8wF5hB2cQ",
8 "processorName": "Invoice Processor",
9 "metrics": {
10 "numFiles": 1.1,
11 "numPages": 1.1
12 },
13 "status": "PROCESSING",
14 "source": "EVAL_SET",
15 "runCount": 1,
16 "options": {
17 "fuzzyMatchFields": [
18 "string"
19 ],
20 "excludeFields": [
21 "string"
22 ]
23 },
24 "createdAt": "2024-03-21T15:30:00Z",
25 "updatedAt": "2024-03-21T16:45:00Z",
26 "sourceId": "ev_1234"
27 }
28}
Retrieve details about a batch processor run, including evaluation runs
Was this page helpful?
Previous

List Processors

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired

The unique identifier of the batch processor run to retrieve. The ID will always start with “bpr_”.

Example: "bpr_Xj8mK2pL9nR4vT7qY5wZ"

Headers

x-extend-api-version"2025-04-21"OptionalDefaults to 2025-04-21

API version to use for the request. If you do not specify a version, you will either receive a 400 Bad Request or be set to a previous legacy version. See API Versioning for more details.

x-extend-workspace-idstringOptional

The workspace ID to target. Required when using an organization-scoped API key; optional for workspace-scoped keys (the key is already tied to a workspace). See Authentication for details on API key scopes.

Response

Successfully retrieved batch processor run
successboolean
batchProcessorRunobject

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error